using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPriceFormula {

        //요금 산출 수식
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "요금 타입 ID"), Key]
        public int PriceTypeId { get; set; }
        [Display(Name = "설비 타입 ID"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "수식 ID"), Key]
        public int FormulaId { get; set; }
        [Display(Name = "설비 코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "수식 사용 여부"), Required]
        [StringLength(1)]
        public string UseYN { get; set; }

        [ForeignKey("SiteId,FacilityTypeId,FacilityCode,FormulaId")]
        public virtual BemsFormula BemsFormula { get; set; }
        [ForeignKey("PriceTypeId")]
        public virtual BemsPriceType PriceType { get; set; }
    }
}
